



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Eclipse导入工程中文乱码问题</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Eclipse导入工程中文乱码问题</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-19 21:31:40 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>此文引用自<a href="http://www.cnblogs.com/elleniou/archive/2012/05/20/2509434.html" rel="external nofollow noreferrer">eclipse导入工程中文乱码问题</a>，作者<a href="http://www.cnblogs.com/elleniou/" rel="external nofollow noreferrer">elleniou</a>。</p>
<p>关于Eclipse导入工程中文乱码问题实在是一个非常令人头疼的，深感一定要彻底解决才算放心，故摘抄上文如下：</p>
<p>eclipse之所以会出现乱码问题是因为eclipse编辑器选择的编码规则是可变的。一般默认都是UTF-8或者GBK，当从外部导入一个工程时，如果该工程的编码方式与eclipse中设置的编码方式不同，就会产生中文的乱码问题，这其中还有几种情况。</p>
<p>如果导入的整个工程的编码方式与eclipse的编码方式(?)有冲突，那么这个工程里所有的中文都是乱码；如果所有工程的编码方式与eclipse工作空间(即workspace)的编码方式有冲突，那么所有的工程里的中文都<strong>有可能</strong>是乱码。对于eclipse工作空间，eclipse会把你改的设置保存在工作空间的设置文件(那到底是哪一个设置文件呢？又不说清楚)中，<strong>对于单个工程的编码方式进行修改，那么eclipse会把编码方式保存在该工程的.setting文件包里</strong>。</p>
<p>所以，要避免中文乱码问题有两个原则：</p>
<ol><li>避免频繁更换工作空间，最好项目从一开始就在一个工作空间中进行，并且<strong>最好设置工作空间的编码方式为你平时最经常使用的或者是公司规定的项目编码方式</strong>，这样工程就会使用工作空间的编码方式，避免出现编码不一致的情形。</li>
<li>相同类型的文件尽量使用相同的编码方式，可以保证相同类型的文件都能使用一致的编码设置。</li></ol>
<p>解决中文乱码问题可以有以下设置方案：</p>
<p>(1)修改工作空间的编码方式：</p>
<div>
<pre class="prettyprint linenums">Window-&gt;Preferences-&gt;General-&gt;Workspace-&gt;Text file Encoding　</pre>
</div>
<p>在Others里选择需要的编码方式(如没有则直接输入)，然后保存。</p>
<p>(2)修改单个工程的编码方式：</p>
<p>右击工程，在弹出的菜单中选择最后一项&ldquo;Properties&rdquo;。</p>
<p>在打开的新窗口左边的菜单树中选择Info（即第一个），然后在右面找到Text file encoding，选择 &ldquo;other&rdquo;，在下拉框中选择需要的编码方式(如没有则直接输入)。</p>
<p>(3)修改一类文件的编码方式：</p>
<p>假设要将js文件编码方式设为UTF-8，则应该</p>
<div>
<pre class="prettyprint linenums">Window-&gt;General-&gt;Content Types
</pre>
</div>
<p>　在Content Types中选择JavaScript Source File，在File associations栏中选中*.js，然后在Default Encoding栏中输入UTF-8，单击Update，保存即可。</p>
<p>(4)修改单个文件的编码方式：</p>
<p>右击要修改的文件，在弹出的菜单中选择最后一项 &ldquo;Properties&rdquo;，在打开的新窗口左边的菜单树中选择Info（即第一个），然后在右面找到Text file encoding ，选择 &ldquo;other&rdquo;，在下拉框中选择需要的编码方式(如没有则直接输入)。与修改工程编码方式的方法类似。</p>
<p>ps：在项目过程中遇到的另外一个乱码问题是因为操作系统的字体文件问题，在某些情况下，eclipse所使用的系统中文字体如果被破坏的话，也会导致中文无法显示的问题。所以，如果在上述设置都无法解决问题的时候，应该要考虑一下系统字体文件的问题。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/o8o1wrpq.html">【记录】ASP&period;NET IIS ISAPI&lowbar;Rewrite</a>
		</li>
						<li><a href="https://www.batexi.com/a/oqvd541q.html">HTTP协议 -- 认清协议常用状态码</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9p1mrd9.html">cURL 学习笔记与总结（1）概念</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn1m4038.html">Valid Anagram</a>
		</li>
						<li><a href="https://www.batexi.com/a/95x04lm8.html">Unix 入门</a>
		</li>
						<li><a href="https://www.batexi.com/a/93xwnxw9.html">战胜忧虑&amp;lt&semi;2&amp;gt&semi;&mdash;&mdash;忙碌可以消除忧虑</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxnek6d8.html">Js 数组&mdash;&mdash;filter&lpar;&rpar;、map&lpar;&rpar;、some&lpar;&rpar;、every&lpar;&rpar;、forEach&lpar;&rpar;、lastIndexOf&lpar;&rpar;、indexOf&lpar;&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1knp59.html">jquery jsonp实现跨域</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gmkw0z9.html">&period;pfx格式和&period;Cer格式的区别</a>
		</li>
						<li><a href="https://www.batexi.com/a/95xor608.html">07 - 删除vtkDataObject中的SetExtentTranslator 和 GetExtentTranslator方法 VTK 6&period;0 迁移</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z1dy2x9.html">如何在jQuery中使用 setInterval，setTimeout</a>
		</li>
						<li><a href="https://www.batexi.com/a/93x5pnw9.html">Basic Concepts of Block Media Recovery</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxkdxoe8.html">【Oracle】-【插入读取顺序】-插入读取之间的顺序关系</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy1v67xq.html">利用Paramiko模块远程连接Linux</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zo24m3q.html">hadoop配置遇到问题的解决</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pd5prz9.html">关于ajax的content-download时间过慢问题的解决方案与思考</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zo7rynq.html">ajax中基本参数应用</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjj3ee9.html">opencl 参考源码及benchmark</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnv0x1k8.html">为Bootstrap模态对话框添加拖拽移动功能</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j14epl9.html">Python之words count</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/96o3wm39.html">C&num; Hadoop学习笔记</a>
			</li>
						<li><a href="https://www.batexi.com/a/96o3w5y9.html">ubuntu常见错误--Could not get lock &sol;var&sol;lib&sol;dpkg&sol;lock解</a>
			</li>
						<li><a href="https://www.batexi.com/a/93xp2v09.html">vnext 技术两篇文章和评论</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j0mow0q.html">实体框架 &lpar;EF&rpar; 入门 &equals;&amp;gt&semi; 六、性能注意事项</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwdl3dz8.html">UIAlertView&lpar;已经过时&rpar; UIActionView swift</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rdnv748.html">Kinect帮助文档翻译之一 入门</a>
			</li>
						<li><a href="https://www.batexi.com/a/qydvmyxq.html">cocos游戏的真正入口&comma;用C&plus;&plus;实现的demo版本</a>
			</li>
						<li><a href="https://www.batexi.com/a/qn1n3gg8.html">camera render texture 游戏里的监控视角</a>
			</li>
						<li><a href="https://www.batexi.com/a/8k1o3r69.html">【Path Sum II】cpp</a>
			</li>
						<li><a href="https://www.batexi.com/a/8k1o3l79.html">你所必须掌握的三种异步编程方法callbacks&comma;listeners&comma;promise</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
